<!--{*
 * This file is part of EC-CUBE
 *
 * Copyright(c) 2000-2012 LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *}-->

 <!--{if $tpl_column_num == 3}--><!--▼3カラム▼-->
 
    <!--{if $arrRet && $smarty.const.TOP_IMAGETYPE_THREECOLM == 1}-->
	<!-- 〓　3カラム・タイプ1　〓 -->
	 <script type="text/javascript">
		$(function() {
			$('#top_image_area1 #carousel_top01').carouFredSel({
				prev: '#prev_top01',
				next: '#next_top01',
				auto: {
					button: '#play_top01',
					pauseDuration: 5000,
					pauseOnHover: true
				},
				scroll: {
					fx: 'fade',
					onPauseStart: function( percentage, duration ) {
						$('#timer_top01').stop().animate({
							width: 578
						}, {
							duration: duration,
							easing: 'linear'
						});
					},
					onPauseEnd: function( percentage, duration ) {
						$('#timer_top01').stop().width( 0 );
					},
					onPausePause: function( percentage, duration ) {
						$('#timer_top01').stop().width( 0 );
					},
					onBefore: function( oldI, newI ) {
						$('#timer_top01').stop().width( 0 );
					}
				}
			});
			$('#top_image_area1').hover(function() {
				$('#navi_top01').stop().animate({
					bottom: 0
				});
			}, function() {
				$('#navi_top01').stop().animate({
					bottom: -40
				});
			});
			
			
		});
    </script>

    <div id="top_image_area1">
        <div id="inner">
            <div id="carousel_top01">
                <!--{section name=cnt loop=$arrRet}-->
                <div class="item">
                    <!--{if $arrRet[cnt].memo02}--><a href="<!--{$arrRet[cnt].memo02|h}-->"><!--{/if}-->
                    <img src="upload/top_image/<!--{$arrRet[cnt].top_image|h}-->" alt="rally<!--{$arrRet[cnt].rank|h}-->" width="578" height="272" />
                    <!--{if $arrRet[cnt].memo02}--></a><!--{/if}-->
                        <!--{if $arrRet[cnt].memo01}-->           
                        <div class="text">
                        <!--{$arrRet[cnt].memo01|h|nl2br}-->
                        </div>
                        <!--{/if}-->
                </div>
                <!--{/section}-->
            </div>
            <div id="navi_top01">
                <div id="timer_top01"></div>
                <a id="prev_top01" href="#"></a>
                <a id="play_top01" href="#"></a>
                <a id="next_top01" href="#"></a>
            </div>
        </div>
    </div>

	<!--{elseif $arrRet && $smarty.const.TOP_IMAGETYPE_THREECOLM == 2}-->
    
    <!-- 〓　3カラム・タイプ2　〓 -->
    
	<script type="text/javascript">
		$(function() {
			var thumbs = $('#thumbscarousel_top02');
		
			$('#carousel_top02').carouFredSel({
				items: 1,
				scroll: {
					fx: 'crossfade'
				},
				auto: {
					pauseDuration: 5000,
					duration: 1000,
					pauseOnHover: true
				},
				pagination: {
					container: '#pager_top02',
					duration: 300
				}
			});
		
			thumbs.carouFredSel({
				circular: false,
				auto: false,
				width: 150,
				height: 77,
				items: {
					visible: 1,
					width: 150,
					height: 77
				}
			});
		
			$('#pager_top02').hover(function() {
				var current = $('#carousel_top02').triggerHandler( 'currentPosition' );
				thumbs.trigger( 'slideTo', [ current, 0, true, { fx: 'none' } ] );
				$('#thumbs_top02').stop().fadeTo(300, 1);
			}, function() {
				$('#thumbs_top02').stop().fadeTo(300, 0);
			});
		
			$('#pager_top02 a').mouseenter(function() {
				var index = $('#pager_top02 a').index( $(this) );
				if ( thumbs.triggerHandler( 'isScrolling' ) ) {
					thumbs.trigger( 'onAfter', [[function() {
						thumbs.trigger( 'slideTo', index );
					}]]);
				} else {
					thumbs.trigger( 'slideTo', index );
				}
			});
		});
	</script>
	<div id="top_image_area2">
			<div id="carousel_top02">
            	<!--{section name=cnt loop=$arrRet}-->
                <div>
				<!--{if $arrRet[cnt].memo02}--><a href="<!--{$arrRet[cnt].memo02|h}-->"><!--{else}--><a href="#"><!--{/if}-->
				<img src="upload/top_image/<!--{$arrRet[cnt].top_image|h}-->" alt="rally<!--{$arrRet[cnt].rank|h}-->" width="578" height="272" /></a>
                        <!--{if $arrRet[cnt].memo01}-->           
                        <div class="text">
                        <!--{$arrRet[cnt].memo01|h|nl2br}-->
                        </div>
                        <!--{/if}-->
                </div>
                <!--{/section}-->
			</div>
			<div id="thumbs_top02">
				<div id="thumbscarousel_top02">
            	<!--{section name=cnt loop=$arrRet}-->
                <img src="upload/top_image/<!--{$arrRet[cnt].top_image|h}-->" width="150" height="77" />
                <!--{/section}-->
				</div>
			</div>
			<div id="pager_top02"></div>
	</div>
        
    <!--{else}-->
    
    <!-- 〓　3カラムで、画像のスライドを使用しない場合は管理画面からスライド用の画像をすべて削除し、下記を編集する　〓 -->
    
    <!--▼ここから-->
        <div id="main_image">
            <a href="#" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/banner/bnr_top_main_on.jpg','bnr_top_main');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/banner/bnr_top_main.jpg','bnr_top_main');"><img src="<!--{$TPL_URLPATH}-->img/banner/bnr_top_main.jpg" alt="詳細はこちら" id="bnr_top_main" name="bnr_top_main" />
            </a>
        </div>
        <br />
    <!--▲ここまで-->
    
    <!--{/if}-->
    
<!--{else}--><!--▼2カラム▼-->

    <!--{if $arrRet && $smarty.const.TOP_IMAGETYPE_TWOCOLM == 1}-->
    
    <!-- 〓　2カラム・タイプ1　〓 -->
    
	 <script type="text/javascript">
		$(function() {
			$('#top_image_area3 #carousel_top03').carouFredSel({
				width: 776, //box全体の幅（画像の影をプラス、割り切れる値）
				height: 272,
				align: false,
				padding: [0, 531, 0, 0], //左から２つ目の値は、画像の幅から下のwidthの値を引いたもの。580-49=531。contents.cssの#top_image_area3 #carousel_toptop03 div {margin-right: -531px;}に対応。
				items: {
					width: 49, //全体の幅から画像の幅を引き、visible:「5」なのでメイン画像の1つを除いた「4」で割る。(776-580)÷4=49。contents.cssの#top_image_area3 #carousel_top03 div img.link {left:49px;}に対応。
					height: 272,
					visible: 5,
					minimum: 1
				},
				scroll: {
					items: 1,
					duration: 1000
				},
				auto: {
					pauseDuration: 5000,
					pauseOnHover: true
				}
			});
			$('#carousel_top03').children().click(function() {
				$('#carousel_top03').trigger( 'slideTo', [this, -4, 'prev'] );
			});
		});
    </script>

    <div id="top_image_area3">
            <div id="carousel_top03">
                <!--{section name=cnt loop=$arrRet}-->
                <div>
                    <img src="upload/top_image/<!--{$arrRet[cnt].top_image|h}-->" alt="rally<!--{$arrRet[cnt].rank|h}-->" width="578" height="272" />
                        <!--{if $arrRet[cnt].memo01}-->           
                        <p class="text">
                        <!--{$arrRet[cnt].memo01|h|nl2br}-->
                        </p>
                        <!--{/if}-->
                    <!--{if $arrRet[cnt].memo02}-->
                    <a href="<!--{$arrRet[cnt].memo02|h}-->"><img class="link" src="<!--{$TPL_URLPATH}-->img/button/dummy.gif" width="531" height="272" /></a>
                    <!--width="531"は、上記のpadding: [0, 531, 0, 0]の左から２つ目の値と同じ-->
                    <!--{/if}-->
                </div>
                <!--{/section}-->
            </div>
    </div>

	<!--{elseif $arrRet && $smarty.const.TOP_IMAGETYPE_TWOCOLM == 2}-->
    
    <!-- 〓　2カラム・タイプ2　〓 -->
    
		<script type="text/javascript">
			$(function() {
				$('#carousel_top04').carouFredSel({
					width: 764,
					height: '272px',
					items: 3,
					scroll: {
						items: 1,
						duration: 500,
						pauseDuration: 5000
					},
					prev: '#prev_top04',
					next: '#next_top04'
				});
			});
		</script>
    
	<div id="top_image_area4">
			<div id="carousel_top04">
            	<!--{section name=cnt loop=$arrRet}-->
                <div>
				<!--{if $arrRet[cnt].memo02}--><a href="<!--{$arrRet[cnt].memo02|h}-->"><!--{else}--><a href="#"><!--{/if}-->
				<img src="upload/top_image/<!--{$arrRet[cnt].top_image|h}-->" alt="rally<!--{$arrRet[cnt].rank|h}-->" width="578" height="272" /></a>
                    <!--{if $arrRet[cnt].memo01}-->           
                	<p class="text">
                    <!--{$arrRet[cnt].memo01|h|nl2br}-->
                	</p>
                    <!--{/if}-->
                </div>
				<!--{/section}-->
			</div>
			<a id="prev_top04" href="#" title="前へ"><img src="<!--{$TPL_URLPATH}-->img/button/dummy.gif" width="103" height="272" /></a>
			<a id="next_top04" href="#" title="次へ"><img src="<!--{$TPL_URLPATH}-->img/button/dummy.gif" width="103" height="272" /></a>
	</div>
    
    <!--{else}-->
    
    <!-- 〓　2カラムで、画像のスライドを使用しない場合は管理画面からスライド用の画像をすべて削除し、下記を編集する　〓 -->

    <!--▼ここから-->
        <div id="main_image">
            <a href="#" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/banner/bnr_top_main_on.jpg','bnr_top_main');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/banner/bnr_top_main.jpg','bnr_top_main');"><img src="<!--{$TPL_URLPATH}-->img/banner/bnr_top_main.jpg" alt="詳細はこちら" id="bnr_top_main" name="bnr_top_main" />
            </a>
        </div>
        <br />
    <!--▲ここまで-->

    <!--{/if}-->
    
<!--{/if}-->